<html>
	<head>
		<title>Three.js Pong Game</title>
		<style>
			
			body {
				width: 100%;
				height: 100%;
				position: absolute;
				background: #000000;
				margin: 0;
				padding: 0;
				overscroll-behavior: none;
				overflow: hidden;
			}

			#slidecontainer {
				width: 150px;
				position: fixed;
				top: 100px;
				left: -165px;
				border: gray solid 2px;
				border-radius: 5px;
				padding: 5px;
				padding-bottom: 35px;
				text-align: center;
				background-color: rgba(128, 128, 128, 0.253);
				transition: 1s;
			}

			.slider {
				opacity: 0.8;
				cursor: pointer;
			}
			label {
				user-select: none;
			}

			#startMusic {
				position: fixed;
				top: 300px;
			}
			.switch {
			position: relative;
			display: inline-block;
			width: 100px;
			height: 40px;
			opacity: 0.75;
			top: 20px;
			}

			/* Hide default HTML checkbox */
			.switch input {
			opacity: 0;
			width: 0;
			height: 0;
			}

			/* The slider */
			.btnSlider {
			position: absolute;
			cursor: pointer;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			background-color: #c00000;
			-webkit-transition: .4s;
			transition: .4s;
			}

			.btnSlider:before {
			position: absolute;
			content: "";
			height: 38px;
			width: 48px;
			left: 1px;
			bottom: 1px;
			background-color: white;
			-webkit-transition: .4s;
			transition: .4s;
			}

			input:checked + .btnSlider {
			background-color: rgb(45, 47, 189);
			}

			input:checked + .btnSlider:before {
			-webkit-transform: translateX(50px);
			-ms-transform: translateX(50px);
			transform: translateX(50px);
			}
			.btnSlider {
				text-align: center;
				vertical-align: middle;
				padding-top: 8px;
			}
			.btnSlider b {
				padding: 8px;
				color: white;
				font-size: large;
				font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
			}
			#pvp {
				color: black;
			}
			#pve {
				margin-left: -2px;
			}

			#controls {
				position: fixed;
				bottom: 50px;
				left: -195px;
				user-select: none;
				border: gray solid 2px;
				border-radius: 5px;
				padding: 7px;
				background-color: rgba(128, 128, 128, 0.253);
				transition: 1s;
			}
			#help, #settings {
				user-select: none;
				position: absolute;
				border: gray solid 2px;
				font-size: 20px;
				font-weight: bolder;
				left: 190px;
				padding: 5px 20px 5px 20px;
				background-color: rgba(128, 128, 128, 0.562);
			}
			#settings {
				left: 160px;
			}
			#help:hover, #settings:hover {
				background-color: rgba(128, 128, 128, 0.856);
			}
			.playerText {
				font-size: 20px;
			}
			.keyboard_key {
				user-select: none;
				border: gray solid 1px;
				border-radius: 5px;
				padding: 5px;
				font-weight: bold;
				display: table;
				background-color: rgba(128, 128, 128, 0.466);
			}
			#D, #right{
				display: inline-table;
			}
			#A, #left{
				display: inline-table;
			}
			#space {
				width: 50px;
				border-radius: 2px;
			}
		</style>
	</head>
	<body>
		<script type="text/javascript" src="js/stats.min.js"></script>
		<script type="module" src="js/main.js"></script>
		<div id="slidecontainer">
			<div id="settings">Settings</div>
			<label for="volume">Music volume</label>
			<input type="range" min="0" max="1" step="0.01" class="slider" id="volume">
			<label for="playerSize">Player width</label>
			<input type="range" min="10" max="65" step="1" class="slider" id="playerSize">
			<label for="playerSpeed">Player speed</label>
			<input type="range" min="0.5" max="3" step="0.1" class="slider" id="playerSpeed">
			<label class="switch">
				<input type="checkbox" id="pvp_pve_switch">
				<span class="btnSlider"><b id="pve">PVE</b><b id="pvp">PVP</b></span>
			  </label>
		</div>
		<div id="controls">
			<div id="help">Controls</div>
			<div id="playerOne">
				<p class="playerText">Player ONE controls:</p>
				<span class="keyboard_key" id="A">A</span>
				<span class="keyboard_key" id="D">D</span>
			</div>
			<div id="playerTwo">
				<p class="playerText">Player TWO controls:</p>
				<span class="keyboard_key" id="left" title="Arrow left">◄</span>
				<span class="keyboard_key" id="right" title="Arrow right">►</span>
			</div>
			<div id="gameControls">
				<p class="playerText">Accelerate ball</p>
				<span class="keyboard_key" id="space" title="Spacebar"></span>
				<p class="playerText">Switch to PVE</p>
				<span class="keyboard_key" id="enter" title="Enter">Enter</span>
				<p class="playerText">Switch to PVP</p>
				<span class="keyboard_key" id="backspace" title="Backspace">backspace</span>
			</div>
		</div>
	</body>
</html>